Create a post with images
curl --request POST \
--url https://api.wircle.com/v1/posts/with-images \
--header 'Authorization: Bearer <token>' \
--header 'X-Profile-Id: <x-profile-id>'import requests
url = "https://api.wircle.com/v1/posts/with-images"
headers = {
"X-Profile-Id": "<x-profile-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Profile-Id': '<x-profile-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.wircle.com/v1/posts/with-images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"profile_id": "<string>",
"kind": "post",
"body_preview": "<string>",
"body_truncated": true,
"images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"width": 2,
"height": 2,
"alt_text": "<string>"
}
],
"image_count": 2,
"reply_to_post_id": "<string>",
"root_post_id": "<string>",
"visibility": "public",
"status": "draft",
"published_at": "2023-11-07T05:31:56Z",
"reply_count": 123,
"likes_count": 123,
"viewer_reaction": "like",
"comments_count": 123,
"quotes_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"body": "<string>"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Posts
Create a post with images
Creates a public post with up to four images.
API key requests must include an X-Profile-Id header selecting an attached profile. Required API key scope: posts:write. Also accepted: posts:all, all:write, all:all.
POST
/
v1
/
posts
/
with-images
Create a post with images
Authorizations
Workspace API key created in Developer → API Keys.
Headers
The workspace profile performing the request. It must be attached to the API key.
Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
⌘I